import { getGuideList } from "../../../../core/utils/ywtService";
import { envContext } from "../../../../core/utils/constants";
Component({
  props: {},
  data: {
    clinicGuideList: [],
  },

  didMount() {
    // hospitalId 白云 41，太和12
    const hospitalId = envContext == "th" ? 12 : 41;
    this.guideList(1, 50, hospitalId);
  },

  methods: {
    async guideList(pageIndex = 1, pageSize = 50, hospitalId = 41) {
      const [err, result] = await getGuideList({
        pageIndex,
        pageSize,
        hospitalId,
      });
      if (!err) {
        this.setData({
          clinicGuideList: result.list,
        });
      }
    },
  },
});
